Subject: Re: [sfc] Kathleen Moriarty's Discuss on draft-ietf-sfc-architecture-08: (with DISCUSS and COMMENT)

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Tue, 2 Jun 2015 19:57:03 +0000

Hi, Kathleen,

We iterated with Alia in trying to get a more condensed and to-the-point version of the text.

Here’s a proposal that we believe can help address your concern:

"A classifier may have privileged access to information about a packet that is then communicated in the metadata.   The threat of leaking this private data needs to be considered [RFC 6973]. As one example, if private data is represented by an identifier, then a new identifier can be allocated, such that the mapping from the private data to the new identifier is not broadly shared.”

With [RFC 6973] as an Informational reference.

Does this help?

Thanks,

— Carlos.

> On May 28, 2015, at 5:20 PM, Kathleen Moriarty <[email-masked]> wrote:
> 
> I can see your point of view, but that does not mean that a warning is not needed.  Someone may not be aware that their plain text traffic could be used in the ways that are possible.  Alia's suggested text addresses this possible concern and is much appreciated to remove my discuss.
> 
> Let me know if/when this text is incorporated.
> 
> Best regards,
> Kathleen

---

From: Alia Atlas <[email-masked]>
Date: Fri, 5 Jun 2015 12:23:55 -0400

Hi Carlos & Joel,

On Tue, Jun 2, 2015 at 3:57 PM, Carlos Pignataro (cpignata) <
[email-masked]> wrote:

> "A classifier may have privileged access to information about a packet
> that is then communicated in the metadata.   The threat of leaking this
> private data needs to be considered [RFC 6973]. As one example, if private
> data is represented by an identifier, then a new identifier can be
> allocated, such that the mapping from the private data to the new
> identifier is not broadly shared.”
>

 Kathleen and I discussed the proposed text and have a slight modification
as follows:
"A classifier may have privileged access to information about a packet or
inside a packet (See bullet 4 in Sec. 3 and Sec 4.9) that is then
communicated in the metadata.   The threat of leaking this private data
needs to be mitigated [RFC 6937]. As one example, if private data is
represented by an identifier, then a new identifier can be allocated, such
that the mapping from the private data to the new identifier is not broadly
shared."

Thanks,
Alia

Thanks,
> I can see your point of view, but that does not mean that a warning is not
> needed.  Someone may not be aware that their plain text traffic could be
> used in the ways that are possible.  Alia's suggested text addresses this
> possible concern and is much appreciated to remove my discuss.
>

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Mon, 8 Jun 2015 00:59:39 +0000

Kathleen, Alia,

We just posted a new revision incorporating this text below.

URL:            https://www.ietf.org/internet-drafts/draft-ietf-sfc-architecture-09.txt <https://www.ietf.org/internet-drafts/draft-ietf-sfc-architecture-09.txt>
Status:         https://datatracker.ietf.org/doc/draft-ietf-sfc-architecture/ <https://datatracker.ietf.org/doc/draft-ietf-sfc-architecture/>
Htmlized:       https://tools.ietf.org/html/draft-ietf-sfc-architecture-09 <https://tools.ietf.org/html/draft-ietf-sfc-architecture-09>
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-sfc-architecture-09 <https://www.ietf.org/rfcdiff?url2=draft-ietf-sfc-architecture-09>

Thanks!

— Carlos.

> On Jun 5, 2015, at 12:23 PM, Alia Atlas <[email-masked]> wrote:
> 
> Hi Carlos & Joel,
> 
> 
> On Tue, Jun 2, 2015 at 3:57 PM, Carlos Pignataro (cpignata) <[email-masked] <mailto:[email-masked]>> wrote:
> Hi, Kathleen,
> 
>  Kathleen and I discussed the proposed text and have a slight modification as follows:
> "A classifier may have privileged access to information about a packet or inside a packet (See bullet 4 in Sec. 3 and Sec 4.9) that is then communicated in the metadata.   The threat of leaking this private data needs to be mitigated [RFC 6937]. As one example, if private data is represented by an identifier, then a new identifier can be allocated, such that the mapping from the private data to the new identifier is not broadly shared."
> 
> Thanks,
> Alia
> 
> Thanks,
> 
> — Carlos.
> 
>> On May 28, 2015, at 5:20 PM, Kathleen Moriarty <[email-masked] <mailto:[email-masked]>> wrote:
>>